## org.biojava.bio.dp
Class SimpleDotState

    java.lang.Object
      |
      +--org.biojava.bio.symbol.SimpleAtomicSymbol
            |
            +--org.biojava.bio.dp.SimpleDotState

public class SimpleDotState
extends SimpleAtomicSymbol
implements DotState, java.io.Serializable

A Dot state that you can make and use.

Dot states emit no sequence. They are there purely to make the wireing of the model look neater, and to cut down the number of combinatorial transitions that can so easily swamp models.

See Also:
  Serialized Form

Constructor Summary
`SimpleDotState(char symbol, java.lang.String name, Annotation annotation)`
`SimpleDotState(java.lang.String name)`

Methods inherited from class org.biojava.bio.symbol.SimpleAtomicSymbol
`getAnnotation, getMatches, getName, getToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleDotState

    public SimpleDotState(char symbol,
                          java.lang.String name,
                          Annotation annotation)

### SimpleDotState

    public SimpleDotState(java.lang.String name)